// Replicate Ozer Results

capture log close

log using ozer_replicate.log, replace


// Variable Definitions
// X: demand signal
// myX: report of demand signal
// myQ: capacity decision
// type: = 1 if Supplier; = 2 if Manufacturer

// Michigan Data
insheet using "OzerEtAl2011_Michigan_Data.csv", clear

rename x X
rename myx myX
rename myq myQ

// Summary Statistics
sum myX
sum myQ

// Redo Regression from Table 2
// Messages
reg myX X if type == 2

// get exact p-value

local t = _b[X]/_se[X]
di `t'
di e(df_r)
di 2*ttail(e(df_r),abs(`t'))

// Capacity
reg myQ myX if type == 1

// get exact p-value

local t = _b[myX]/_se[myX]
di `t'
di e(df_r)
di 2*ttail(e(df_r),abs(`t'))

// Do Regressions with Clusters

gen uniqid = sessionnum*100 + subject

// Messages
reg myX X if type == 2, cl(uniqid)

// get exact p-value

local t = _b[X]/_se[X]
di `t'
di e(df_r)
di 2*ttail(e(df_r),abs(`t'))

// Capacity
reg myQ myX if type == 1, cl(uniqid)

// get exact p-value

local t = _b[myX]/_se[myX]
di `t'
di e(df_r)
di 2*ttail(e(df_r),abs(`t'))

// Cornell Data
insheet using "OzerEtAl2011_Cornell_Data.csv", clear

rename x X
rename myx myX
rename myq myQ

// Summary Statistics
sum myX
sum myQ

// Redo Regression from Table 2
// Messages
reg myX X if type == 2

// get exact p-value

local t = _b[X]/_se[X]
di `t'
di e(df_r)
di 2*ttail(e(df_r),abs(`t'))

// Capacity
reg myQ myX if type == 1

// get exact p-value

local t = _b[myX]/_se[myX]
di `t'
di e(df_r)
di 2*ttail(e(df_r),abs(`t'))

// Do Regressions with Clusters

gen uniqid = sessionnum*100 + subject

// Messages
reg myX X if type == 2, cl(uniqid)

// get exact p-value

local t = _b[X]/_se[X]
di `t'
di e(df_r)
di 2*ttail(e(df_r),abs(`t'))

// Capacity
reg myQ myX if type == 1, cl(uniqid)

// get exact p-value

local t = _b[myX]/_se[myX]
di `t'
di e(df_r)
di 2*ttail(e(df_r),abs(`t'))


log close
